Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Aug 2010 09:25:35 +0200

>> Because the behavior we want is that "if the user has seen the region
>> highlighted, then it has been selected".

> I'd be wary doing it in redisplay might do it "too much" just like the old
> buffer-lazy implementation.

Indeed, we need to be careful with it.  IIUC the same risk exists with
command_loop_1, but in any case, I agree that it can be delicate.

        Stefan